# Get Cookie Inventory cookie list for specified audit run

POST /v3/web-audits/{auditId}/runs/{runId}/reports/cookie-inventory/cookies

Endpoint: POST /v3/web-audits/{auditId}/runs/{runId}/reports/cookie-inventory/cookies
Security: API_Key

## Path parameters:

  - `auditId` (integer, required)
    Unique identification number for web audit
    Example: 107239

  - `runId` (integer, required)
    Unique identification number for web audit or journey run
    Example: 33010

## Query parameters:

  - `page` (integer)
    Page number, starts with 0

  - `size` (integer)

  - `sortBy` (string)
    Enum: "page_count", "name", "domain", "party_type", "expiration_type", "secure", "same_site", "http_only", "avg_size", "min_duration_in_minutes", "max_duration_in_minutes", "initiator_tag_count", "unique_initiator_count", "partition_key", "cookie_changed_during"

  - `sortDesc` (boolean)
    Controls sorting order

## Request fields (application/json):

  - `pageUrl` (object)

  - `pageUrl.filterType` (string, required)
    Enum: "contains", "regex"

  - `pageUrl.filterValue` (string, required)

  - `pageUrl.negated` (boolean)
    Switches from "contains" to "not contains", and from "matches regex" to "does not match regex". Supported only by Page Summary for now

  - `finalPageUrl` (object)

  - `finalPageUrl.filterType` (string, required)
    Enum: "contains", "regex"

  - `finalPageUrl.filterValue` (string, required)

  - `finalPageUrl.negated` (boolean)
    Switches from "contains" to "not contains", and from "matches regex" to "does not match regex". Supported only by Page Summary for now

  - `pageTitle` (object)

  - `pageTitle.filterType` (string, required)
    Enum: "contains", "not_contains"

  - `pageTitle.filterValue` (string, required)
    Page title as displayed by browser
    Example: "ObserveP"

  - `initialPageStatusCode` (object)

  - `initialPageStatusCode.filterType` (string, required)
    Enum: "specific", "range"

  - `initialPageStatusCode.negated` (boolean, required)
    Switches from == to !=, and from between [minInclusive, maxExclusive) to NOT between [minInclusive, maxExclusive)

  - `finalPageStatusCode` (object)

  - `finalPageStatusCode.filterType` (string, required)
    Enum: "specific", "range"

  - `finalPageStatusCode.negated` (boolean, required)
    Switches from == to !=, and from between [minInclusive, maxExclusive) to NOT between [minInclusive, maxExclusive)

  - `combinedPageStatusCode` (string)
    - broken - initial or final URL are broken,
- good - initial URL is good or redirect and final URL is good
    Enum: "broken", "good"

  - `pageLoadTime` (object)
    Page load time in milliseconds. Should have min and/or max properties defined. min is inclusive and max is exclusive. min should be less than max.

  - `pageLoadTime.min` (integer)

  - `pageLoadTime.max` (integer)

  - `pageSize` (object)
    Page size in bytes. Should have min and/or max properties defined. min is inclusive and max is exclusive. min should be less than max.

  - `pageSize.min` (integer)

  - `pageSize.max` (integer)

  - `redirectCount` (object)
    Number of redirects for a page. Should have min and/or max properties defined. min is inclusive and max is exclusive. min should be less than max.

  - `redirectCount.min` (integer)

  - `redirectCount.max` (integer)

  - `hasBrokenLinks` (boolean)

  - `pageUrlMatchingAuditFilterConfiguration` (boolean)

  - `cookieOriginInclusion` (string)
    - exclude_pre_audit_action_only_cookies - exclude cookies which were only changed during pre-audit actions
    Enum: "exclude_pre_audit_action_only_cookies"

  - `cookieName` (object)

  - `cookieName.filterType` (string, required)
    Enum: "contains", "not_contains"

  - `cookieName.filterValue` (string, required)

  - `cookieDomain` (object)

  - `cookieDomain.filterType` (string, required)
    Enum: "contains", "not_contains"

  - `cookieDomain.filterValue` (string, required)

  - `partyType` (string)
    Indicates if cookie domain is different from domain of a page it was set on. 
owned_3rd_party is deprecated
    Enum: "1st_party", "owned_3rd_party", "3rd_party"

  - `secure` (boolean)

  - `sameSite` (string,null)
    Enum: "None", "Lax", "Strict", "Empty"

  - `cookieSize` (object)
    Cookie size in bytes. Should have min and/or max properties defined. min is inclusive and max is exclusive

  - `cookieSize.min` (integer)

  - `cookieSize.max` (integer)

  - `allThirdPartyCookies` (boolean)
    Conflicts with partyType, but has higher priority

  - `httpOnly` (boolean)

  - `expirationType` (string)
    Enum: "session", "timestamp"

  - `cookieDuration` (object)
    Cookie duration in minutes. Should have min and/or max properties defined. min is inclusive and max is exclusive. Ignored when expirationType == "session"

  - `cookieDuration.min` (integer)

  - `cookieDuration.max` (integer)

  - `initiatorUrl` (object)

  - `initiatorUrl.filterType` (string, required)
    Enum: "contains", "not_contains"

  - `initiatorUrl.filterValue` (string, required)

  - `initiatorUrlDomain` (object)

  - `initiatorUrlDomain.filterType` (string, required)
    Enum: "contains", "not_contains"

  - `initiatorUrlDomain.filterValue` (string, required)

  - `anyRelatedTag` (boolean)
    Show all cookies with any related tag

  - `tagId` (integer)
    Tag ID

  - `tagCategoryId` (integer)
    Tag category ID

  - `tagVendorId` (integer)
    Tag vendor ID

  - `partitionKeyIsSet` (boolean)

## Response 200 fields (application/json):

  - `metadata` (object, required)
    Common metadata for iterable

  - `metadata.pagination` (object, required)

  - `metadata.pagination.totalCount` (integer, required)
    Total number of items available from all result pages combined

  - `metadata.pagination.totalPageCount` (integer, required)
    Total number of pages available

  - `metadata.pagination.pageSize` (integer, required)
    Page size - number of items per result page configured by size query parameter or default page size

  - `metadata.pagination.currentPageSize` (integer, required)
    Number of items in current result page

  - `metadata.pagination.currentPageNumber` (integer, required)
    Current page number/ordinal

  - `cookies` (array, required)

  - `cookies.name` (string, required)
    Cookie name

  - `cookies.domain` (string, required)
    Cookie domain; preceding dot removed

  - `cookies.partyType` (string, required)
    Indicates if cookie domain is different from domain of a page it was set on. 
owned_3rd_party is deprecated
    Enum: "1st_party", "owned_3rd_party", "3rd_party"

  - `cookies.expirationType` (string, required)
    Enum: "session", "timestamp"

  - `cookies.sameSite` (string,null)
    Enum: "None", "Lax", "Strict"

  - `cookies.secure` (boolean, required)

  - `cookies.httpOnly` (boolean, required)

  - `cookies.cookieChangedDuring` (array)
    List of phases during which this cookie was changed, aggregated across all pages
    Enum: "PRE_AUDIT_ACTION", "PAGE_LOAD", "ON_PAGE_ACTION"

  - `cookies.averageSize` (integer,null, required)
    Cookie value size, in bytes. May not be available for old runs

  - `cookies.filteredPageCount` (integer, required)
    Number of pages this cookie was found on

  - `cookies.minDurationInMinutes` (integer)
    Minimum cookie duration in minutes

  - `cookies.maxDurationInMinutes` (integer)
    Maximum cookie duration in minutes

  - `cookies.initiators` (array)

  - `cookies.initiators.initiatorType` (string, required)
    Type of event that created the cookie
    Enum: "HTTP", "APP", "OP_ACTION", "UNKNOWN"

  - `cookies.initiators.tagId` (integer)
    Tag ID

  - `cookies.initiators.urlDomain` (string)
    Domain part of initiator's URL

  - `cookies.initiators.foundDuring` (array, required)
    List of phases during which this initiator was observed
    Enum: "PRE_AUDIT_ACTION", "PAGE_LOAD", "ON_PAGE_ACTION"

  - `cookies.initiators.instanceCount` (integer, required)
    Number of instances of this initiator across all pages

  - `cookies.initiatorTagIds` (array)
    List of tag IDs, associated with initiators that set this cookie

  - `cookies.initiatorTotalCount` (integer)
    Total number of unique initiators that set this cookie

  - `cookies.partitionKey` (string)

## Response 400 fields (application/json):

  - `timestamp` (string)

  - `message` (string)

  - `details` (string)

  - `validationReport` (object)

## Response 401 fields (application/json):

  - `timestamp` (string)

  - `message` (string)

  - `details` (string)

  - `validationReport` (object)

## Response 404 fields (application/json):

  - `timestamp` (string)

  - `message` (string)

  - `details` (string)

  - `validationReport` (object)


